import { SerializedTreeEntry, Tree } from "./map/tree";
export declare class ReplicatedObject {
    readonly id: string;
    protected readonly tree: Tree;
    protected readonly replica: Replica;
    constructor(id: string, tree: Tree, replica: Replica);
    static fromSerialized(id: string, obj: SerializedTreeEntry, replica: Replica): ReplicatedObject;
}
export declare class Replica {
    protected readonly objects: Map<string, ReplicatedObject[]>;
    register(object: ReplicatedObject): void;
    unregister(object: ReplicatedObject): void;
    setState(object: ReplicatedObject, state: any): void;
}
