export interface SerializedObject {
    type: string;
    data: any;
}
export interface ReplicatedType<T = any, O = any> {
    id: string;
    matchesObject(obj: T): boolean;
    applyOperation(obj: T, operation: O, manager: Manager): T;
    deserialize(data: any, manager: Manager): T;
    serialize(obj: T, manager: Manager): any;
}
export declare class Manager {
    protected types: ReplicatedType[];
    addType(type: ReplicatedType): void;
    getType(id: string): ReplicatedType | undefined;
    findType(obj: any): ReplicatedType | undefined;
    deserialize<T>(data: SerializedObject): T;
    serialize(obj: any): SerializedObject;
}
