"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Manager = void 0;
class Manager {
    constructor() {
        this.types = [];
    }
    addType(type) {
        this.types.push(type);
    }
    getType(id) {
        return this.types.find(t => t.id === id);
    }
    findType(obj) {
        return this.types.find(t => t.matchesObject(obj));
    }
    deserialize(data) {
        const type = this.getType(data.type);
        if (!type)
            throw new Error(`ReplicatedType '${type}' not registered`);
        return type.deserialize(data.data, this);
    }
    serialize(obj) {
        const type = this.findType(obj);
        if (!type)
            throw new Error('No type found that matches given object');
        return { type: type.id, data: type.serialize(obj, this) };
    }
}
exports.Manager = Manager;
//# sourceMappingURL=manager.js.map