"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringify = exports.parse = void 0;
function parse(str) {
    return JSON.parse(str);
}
exports.parse = parse;
/**
 * Version where the keys of objects (except arrays) are sorted in the outputted string.
 * Loses support for the `replacer` and `space` parameters, these are now just ignored.
 */
function stringify(value, ...rest) {
    if (typeof value !== 'object')
        return JSON.stringify(value);
    if (Array.isArray(value)) {
        return `[${value.map(v => stringify(v, ...rest)).join(', ')}]`;
    }
    const keys = Object.keys(value).sort();
    const entries = keys.map(k => `${stringify(k, ...rest)}:${stringify(value[k], ...rest)}`);
    return `{${entries.join(',')}}`;
}
exports.stringify = stringify;
//# sourceMappingURL=json.js.map