import { SerializedTreeEntry } from "./map/tree";
export declare type Key = string | number;
export interface OperationBase {
    type: string;
}
export interface OperationSet {
    type: 'set';
    value: any;
    path: Key[];
}
export interface OperationSetLeaf {
    type: 'set-leaf';
    value: any;
    path: Key[];
}
export interface OperationSetTree {
    type: 'set-tree';
    entries: SerializedTreeEntry[];
    path: Key[];
}
export interface OperationRemove {
    type: 'remove';
    path: Key[];
}
export declare function formatOperation(operation: Operation): string;
export declare type Operation = OperationSet | OperationSetLeaf | OperationSetTree | OperationRemove;
