"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatOperation = void 0;
const formatPath = (keys) => keys.map(k => `[${JSON.stringify(k)}]`).join('');
function formatOperation(operation) {
    switch (operation.type) {
        case 'remove': return `remove(${formatPath(operation.path)})`;
        case 'set': return `set(${formatPath(operation.path)}, ${JSON.stringify(operation.value)})`;
        case 'set-leaf': return `set-leaf(${formatPath(operation.path)}, ${JSON.stringify(operation.value)})`;
        case 'set-tree': return `set-tree(${formatPath(operation.path)}, ${JSON.stringify(operation.entries)})`;
        default: throw new Error(`Unrecognized operation type '${operation.type}'`);
    }
}
exports.formatOperation = formatOperation;
//# sourceMappingURL=operations.js.map