"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const operations_1 = require("./operations");
const tree_1 = require("./tree");
const tree_diff_1 = require("./tree-diff");
const DATA_A = {
    a: {
        idk: 123,
        test: [1, 2, 3],
        static: { v: false },
    },
    a2: {
        a3: {
            a4: {
                a5: 'test',
            }
        },
        a3b: 'hi',
        a3c: { v: true },
    }
};
const DATA_B = {
    b: { b2: { b3: 123 } },
    a: {
        idk: 456,
        test: [1, 3, 5],
        static: { v: false },
    },
    a2: {
        a3: {
            a4: {
                a5: 'testing',
            }
        },
        b3b: 'hi',
        b3c: { v: true },
    }
};
const TREE_A = tree_1.treeFromJsObject(DATA_A);
const TREE_B = tree_1.treeFromJsObject(DATA_B);
const changes = tree_diff_1.calculateOperations(TREE_A, TREE_B);
console.log('Changes:');
changes.map(operations_1.formatOperation).forEach(o => console.log('  -', o));
console.log('Applying changes:');
const TREE_NEW = tree_diff_1.applyOperations(TREE_A, changes);
console.log(JSON.stringify(TREE_B.toSerializedEntry()));
console.log(JSON.stringify(TREE_NEW.toSerializedEntry()));
console.log('Leftover changes:');
tree_diff_1.calculateOperations(TREE_NEW, TREE_B).map(operations_1.formatOperation).forEach(o => console.log('  -', o));
//# sourceMappingURL=index.js.map